import { GeometricObject } from "../../../core/models/objects/geometric-object";
export class PointModel extends GeometricObject {
  constructor(posX, posY, label) {
    super();
    this.posX = posX;
    this.posY = posY;
    this.setLabel(label);
  }
  update(konvaObject, event) {
    this.posX =  konvaObject.attrs.startPosX + event.target._lastPos.x ;
    this.posY =  konvaObject.attrs.startPosY + event.target._lastPos.y;
  }
}
